GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Types | Public Member Functions
graphchi::FunctionalProgramProxyBulkSync< KERNEL > Class Template Reference
Inheritance diagram for graphchi::FunctionalProgramProxyBulkSync< KERNEL >:

List of all members.

## Public Types
typedef KERNEL::VertexDataType | VertexDataType
typedef PairContainer < typename KERNEL::EdgeDataType > | EdgeDataType
typedef functional_vertex_unweighted_bulksync < KERNEL > | fvertex_t
Public Types inherited from graphchi::GraphChiProgram< KERNEL::VertexDataType, PairContainer< KERNEL::EdgeDataType >, functional_vertex_unweighted_bulksync< KERNEL > >

## Public Member Functions
void | before_iteration (int iteration, graphchi_context &info)
void | after_iteration (int iteration, graphchi_context &ginfo)
void | before_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &ginfo)
void | update (fvertex_t &v, graphchi_context &ginfo)
Public Member Functions inherited from graphchi::GraphChiProgram< KERNEL::VertexDataType, PairContainer< KERNEL::EdgeDataType >, functional_vertex_unweighted_bulksync< KERNEL > >
virtual void | after_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)
virtual void | update (functional_vertex_unweighted_bulksync< KERNEL > &v, graphchi_context &gcontext)=0

## Member Function Documentation

template<typename KERNEL>

void graphchi::FunctionalProgramProxyBulkSync< KERNEL >::after_iteration | ( | int | iteration,
|  | graphchi_context & | ginfo
| ) |  |
| inline virtual

Called after an iteration has finished.

Reimplemented from graphchi::GraphChiProgram< KERNEL::VertexDataType, PairContainer< KERNEL::EdgeDataType >, functional_vertex_unweighted_bulksync< KERNEL > >.

template<typename KERNEL>

void graphchi::FunctionalProgramProxyBulkSync< KERNEL >::before_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | ginfo
| ) |  |
| inline virtual

Called before an execution interval is started.

Reimplemented from graphchi::GraphChiProgram< KERNEL::VertexDataType, PairContainer< KERNEL::EdgeDataType >, functional_vertex_unweighted_bulksync< KERNEL > >.

template<typename KERNEL>

void graphchi::FunctionalProgramProxyBulkSync< KERNEL >::before_iteration | ( | int | iteration,
|  | graphchi_context & | info
| ) |  |
| inline virtual

Called before an iteration starts.

Reimplemented from graphchi::GraphChiProgram< KERNEL::VertexDataType, PairContainer< KERNEL::EdgeDataType >, functional_vertex_unweighted_bulksync< KERNEL > >.

template<typename KERNEL>

void graphchi::FunctionalProgramProxyBulkSync< KERNEL >::update | ( | fvertex_t & | v,
|  | graphchi_context & | ginfo
| ) |  |
| inline

Pagerank update function.

The documentation for this class was generated from the following file:

- src/api/functional/functional_bulksync.hpp